interface MetadataConfiguration
| Language | Type name |
|---|---|
.NET | Amazon.CDK.AWS.Bedrock.Agentcore.Alpha.MetadataConfiguration |
Go | github.com/aws/aws-cdk-go/awsbedrockagentcorealpha/v2#MetadataConfiguration |
Java | software.amazon.awscdk.services.bedrock.agentcore.alpha.MetadataConfiguration |
Python | aws_cdk.aws_bedrock_agentcore_alpha.MetadataConfiguration |
TypeScript (source) | @aws-cdk/aws-bedrock-agentcore-alpha ยป MetadataConfiguration |
Configuration for passing metadata (headers and query parameters) to the API Gateway target.
Example
const gateway = new agentcore.Gateway(this, "MyGateway", {
gatewayName: "my-gateway",
});
const api = new apigateway.RestApi(this, 'MyApi', {
restApiName: 'my-api',
});
// Create a gateway target using the static factory method
const apiGatewayTarget = agentcore.GatewayTarget.forApiGateway(this, "MyApiGatewayTarget", {
gatewayTargetName: "my-api-gateway-target",
description: "Target for API Gateway REST API integration",
gateway: gateway,
restApi: api,
apiGatewayToolConfiguration: {
toolFilters: [
{
filterPath: "/pets/*",
methods: [agentcore.ApiGatewayHttpMethod.GET, agentcore.ApiGatewayHttpMethod.POST],
},
],
},
metadataConfiguration: {
allowedRequestHeaders: ["X-User-Id"],
allowedQueryParameters: ["limit"],
},
});
Properties
| Name | Type | Description |
|---|---|---|
| allowed | string[] | List of query parameter names to pass through to the target. |
| allowed | string[] | List of request header names to pass through to the target. |
| allowed | string[] | List of response header names to pass through from the target. |
allowedQueryParameters?
Type:
string[]
(optional, default: No query parameters are passed through)
List of query parameter names to pass through to the target.
Constraints:
- Array must contain 1-10 items
- Each parameter name must be 1-40 characters
- Cannot be an empty array
allowedRequestHeaders?
Type:
string[]
(optional, default: No request headers are passed through)
List of request header names to pass through to the target.
Constraints:
- Array must contain 1-10 items
- Each header name must be 1-100 characters
- Cannot be an empty array
allowedResponseHeaders?
Type:
string[]
(optional, default: No response headers are passed through)
List of response header names to pass through from the target.
Constraints:
- Array must contain 1-10 items
- Each header name must be 1-100 characters
- Cannot be an empty array

.NET
Go
Java
Python
TypeScript (